{% extends 'index.html' %}
{% load static %}
{% load steps %}
{% load linebreaksodt %}
{% load watersign %}

{% block script %}
    {{ block.super }}
    <script src="{% static 'assets/js/plugins/sliders/swiper.js' %}"></script>
    <script src="{% static 'assets/js/plugins/media/zoomPlagins.js' %}"></script>
    <script src="{% static 'assets/js/plugins/extensions/jquery.redirect.js' %}"></script>
    <script src="{% static 'js/reportdetail.bundle.js' %}"></script>
{% endblock %}
{% block script-nocompress %}
    {{ block.super }}
    <script src="https://cdnjs.cloudflare.com/ajax/libs/fancybox/3.0.39/jquery.fancybox.js"></script>

{% endblock %}

{% block header-css %}
    <link href="{% static 'css/report_view.css' %}" rel="stylesheet" type="text/css"/>
    <link href="{% static 'assets/css/swiper.css' %}" rel="stylesheet" type="text/css"/>
{% endblock %}
{% block header-css-nocompress %}
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/fancybox/3.0.39/jquery.fancybox.min.css" />
{% endblock %}

{% block title %}Отчёт {{ report }}{% endblock title %}
{% block page %}
<div class="conteiner-all" id="single-rew" v-cloak :class="{loading:pageLoading}">
    <div class="title-row">
        <div class="name-rew">
            <h1>Отчёт ${ title_part.top_title }</h1>
            <button class="btn btn_xs btn_primary btn_inline mb_m print-hide" @click="downloadPdfFile" :disabled="!this.title_part.name" >Скачать PDF</button>
        </div>
        <div class="infos">
            <div class="date text-named-style">${ title_part.date }</div>
            <div class="named text-named-style" v-if="title_part.executor_full_name">${ title_part.executor_full_name }</div>
        </div>
    </div>
    <div class="expert-row" data-anchor='expert'>
        <div class="named text-named-style">Вывод эксперта:</div>
        <div class="texter">
            <p> ${ removeHtmlTagsFromString(final.shortText) } </p>
            <a
                v-if="final.fullRew"
                data-fancybox
                data-src="#popup-expert"
                href="javascript:;"
                class="read-more print-hide"
            >
                Читать полностью
            </a>
        </div>
    </div>

    <div class="options-row" data-anchor='options'>
        <div class="siders">
            <div class="side-cars">
                <div  v-bind:class=" final.label ? 'good label' : 'bad label' " >
                    <span v-if="final.label" > рекомендован</span>
                    <span v-if="!final.label " > не рекомендован</span>
                </div>
                <div class="topper-slider swiper-container">
                    <div class="swiper-wrapper">
                        <a
                            v-for="(item, index) in gallary"
                            v-if=" index < maxVeiwElementsInSlider "
                            class="con swiper-slide"

                            @click="scrollToCurrent( index, true )"
                            :data-caption="title_part.name"
                            >
                            <img :src="item.thumbnail" :alt="item.alt">
                        </a>
                    </div>
                </div>
                <div class="bottom-list-slides">
                    <div class="bottom-list-slides" >
                        <div
                            class="con "
                            v-for="(item, index) in gallary"
                            v-if=" index < maxVeiwElementsInSlider"
                            v-bind:class="{ disableShowMore: (gallary.length < maxVeiwElementsInSlider-1 && index == gallary.length-1)}"
                            @click="scrollToCurrent( index )"
                            :data-hasmore-calc="hasLastText"
                            >
                            <img :src="item.thumbnail" :alt="item.alt">
                        </div>
                    </div>
                </div>
            </div>
            <div class="side-table">
                <table>
                    <tr v-for="item in mainInfo.car">
                        <td>
                            <div class="text-named-style"> ${ item.name } </div>
                        </td>
                        <td>
                            <div class="res"> ${ item.value } </div>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2"></td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <hr />
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2"></td>
                    </tr>

                    <tr v-for="item in mainInfo.price">
                        <td>
                            <div class="text-named-style"> ${ item.name } </div>
                        </td>
                        <td>
                            <div class="res"> ${ item.value } </div>
                        </td>
                    </tr>

                </table>
            </div>
        </div>
    </div>

    <hr />

    <!--Юридическая проверка-->
    {% include 'report/view/jur.html' %}
    <!--Юридическая проверка конец -->

    <!--Кузов-->
    {% include 'report/view/kuzov.html' %}
    <!--Кузов конец -->

    <!--Двигатель-->
    {% include 'report/view/engine.html' %}
    <!--Двигатель конец -->

    <!--Рулевое управлени-->
    {% include 'report/view/rpt.html' %}
    <!--Рулевое управлени конец -->

    <!--Компьютерная диагностика-->
    {% include 'report/view/diagnostic.html' %}
    <!-- Компьютерная диагностика конец -->

    <!--Электрика и безопасность-->
    {% include 'report/view/electrick.html' %}
    <!--Электрика и безопасность конец -->

    <!--Состояние салона-->
    {% include 'report/view/salon.html' %}
    <!--Состояние салона конец -->

    <!--Vin-->
    {% include 'report/view/vin.html' %}
    <!--Vin конец -->

    <!--Осмотр на подъемнике-->
    {% include 'report/view/looking.html' %}
    <!--Осмотр на подъемнике конец -->

    <!--Дополнительное оборудование-->
    {% include 'report/view/dop.html' %}
    <!--Дополнительное оборудование конец -->

    <!--Дополнительное оборудование-->
    {% include 'report/view/conclusion_expert.html' %}
    <!--Дополнительное оборудование конец -->

    {% include 'report/view/hidden_block.html' %}
{% endblock %}
</div>